FlxpointAPI Help CenterBeta

List RMA Shipments

gethttps://api.flxpoint.com/rma-shipments

Use this when you want to pull rma data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Request

Query parameters
  • rmaNumbersquerystring

    rma numbers separated by a comma

  • createdAfterquerystring (date-time)

    Filter shipments that were created after this date-time.

  • pageSizequeryinteger

    Number of entries per page

  • pageNumberqueryinteger

    Current Page

  • rmaIdqueryinteger

    Retrieve shipments of a specific rma

  • includeAttachmentsqueryboolean

    If true, it will fetch attachments associated with the RMA Shipment

  • includeReturnAddressqueryboolean

    If true, it will fetch the return address associated with the RMA shipment

Example request

get/rma-shipments
curl -X GET "https://api.flxpoint.com/rma-shipments" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[RmaShipment]
idinteger
rmaIdinteger
accountIdinteger
shipmentobject
idinteger
notestring
trackingUrlstring
trackingNumberstring
carrierstring
methodstring
shippedAtstring (date-time)
insertedAtstring (date-time)
shippingCostnumber
orderIdinteger
purchaseOrderIdinteger
fulfillmentRequestIdinteger
rmaIdinteger
sourceIdinteger
accountIdinteger
partialboolean
suppressedboolean
syncedToChannelboolean
syncErrorstring
crossDockPurchaseOrderIdinteger
shipmentItemsarray[ShipmentItem]
idinteger
skustring
quantityinteger
shipmentIdinteger
inventoryVariantIdinteger (int64)
partialboolean
orderItemIdinteger
purchaseOrderItemIdinteger
this field will soon be deprecated, please start using `fulfillmentRequestItemId` instead. there are basically the same thing, just there has been a terminology change.
fulfillmentRequestItemIdinteger
committedStockReleasedQuantityinteger
rmaItemIdinteger
customFieldsarray[ShipmentCustomField]
idinteger
namestring
valuestring
customFieldsarray[ShipmentCustomField]
idinteger
namestring
valuestring
updatedAtstring (date-time)
accountingSyncedboolean
shippingAddressobject
idinteger
namestring
Field created real-time by concatenating "firstName" and "lastName"
addressLine1string
addressLine2string
citystring
statestring
countrystring
stateCodestring
countryCodestring
postalstring
Postal / Zip Code of address
emailstring
phonestring
Free form string field, format isn't enforced
companyNamestring
firstNamestring
lastNamestring
redactedboolean
Represents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstring
Represents a unique hash of this address.
attachmentsarray[RmaShipmentAttachment]
idinteger
rmaIdinteger
rmaShipmentIdinteger
attachmentTypestring
attachmentUrlstring
createdAtstring (date-time)
sentAtstring (date-time)
rmaShipmentStatusRmaShipmentStatus
allowedShipment CreatedShipment SentShipment ReceivedShipment Partially ReceivedShipment Voided
Example response
[
  {
    "id": 0,
    "rmaId": 0,
    "accountId": 0,
    "shipment": {
      "id": 0,
      "note": "string",
      "trackingUrl": "string",
      "trackingNumber": "string",
      "carrier": "string",
      "method": "string",
      "shippedAt": "2026-04-20T00:00:00Z",
      "insertedAt": "2026-04-20T00:00:00Z",
      "shippingCost": 0,
      "orderId": 0,
      "purchaseOrderId": 0,
      "fulfillmentRequestId": 0,
      "rmaId": 0,
      "sourceId": 0,
      "accountId": 0,
      "partial": true,
      "suppressed": true,
      "syncedToChannel": true,
      "syncError": "string",
      "crossDockPurchaseOrderId": 0,
      "shipmentItems": [
        {
          "id": null,
          "sku": null,
          "quantity": null,
          "shipmentId": null,
          "inventoryVariantId": null,
          "partial": null,
          "orderItemId": null,
          "purchaseOrderItemId": null,
          "fulfillmentRequestItemId": null,
          "committedStockReleasedQuantity": null,
          "rmaItemId": null,
          "customFields": null
        }
      ],
      "customFields": [
        {
          "id": null,
          "name": null,
          "value": null
        }
      ],
      "updatedAt": "2026-04-20T00:00:00Z",
      "accountingSynced": true
    },
    "shippingAddress": {
      "id": 0,
      "name": "Joe Smith",
      "addressLine1": "120 1st Lane",
      "addressLine2": "Suite 123",
      "city": "Jacksonville",
      "state": "Florida",
      "country": "United States",
      "stateCode": "FL",
      "countryCode": "US",
      "postal": "12345",
      "email": "person@example.com",
      "phone": "1-555-123-4567",
      "companyName": "string",
      "firstName": "Joe",
      "lastName": "Smith",
      "redacted": true,
      "hash": "string"
    },
    "attachments": [
      {
        "id": 0,
        "rmaId": 0,
        "rmaShipmentId": 0,
        "attachmentType": "string",
        "attachmentUrl": "string"
      }
    ],
    "createdAt": "2026-04-20T00:00:00Z",
    "sentAt": "2026-04-20T00:00:00Z",
    "rmaShipmentStatus": "Shipment Created"
  }
]
400Bad Request

No schema documented for this status.

401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "List RMA Shipments",
    "parameters": [
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "rmaNumbers",
        "description": "rma numbers separated by a comma"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "createdAfter",
        "description": "Filter shipments that were created after this date-time."
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pageNumber",
        "description": "Current Page"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "rmaId",
        "description": "Retrieve shipments of a specific rma"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeAttachments",
        "description": "If true, it will fetch attachments associated with the RMA Shipment"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeReturnAddress",
        "description": "If true, it will fetch the return address associated with the RMA shipment"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/RmaShipment"
              }
            },
            "examples": {
              "example-1 (Include attachments and address)": {
                "value": [
                  {
                    "id": 0,
                    "rmaId": 0,
                    "accountId": 0,
                    "shipment": {
                      "id": 0,
                      "note": "string",
                      "trackingUrl": "string",
                      "trackingNumber": "string",
                      "carrier": "string",
                      "method": "string",
                      "shippedAt": "2019-08-24T14:15:22Z",
                      "insertedAt": "2019-08-24T14:15:22Z",
                      "shippingCost": 0,
                      "orderId": 0,
                      "purchaseOrderId": 0,
                      "rmaId": 0,
                      "sourceId": 0,
                      "accountId": 0,
                      "partial": true,
                      "suppressed": true,
                      "syncedToChannel": true,
                      "syncError": "string",
                      "crossDockPurchaseOrderId": 0,
                      "shipmentItems": [
                        {
                          "id": 0,
                          "sku": "string",
                          "quantity": 0,
                          "shipmentId": 0,
                          "inventoryVariantId": 0,
                          "partial": true,
                          "orderItemId": 0,
                          "purchaseOrderItemId": 0,
                          "committedStockReleasedQuantity": 0,
                          "rmaItemId": 0
                        }
                      ]
                    },
                    "shippingAddress": {
                      "id": 0,
                      "name": "Joe Smith",
                      "addressLine1": "120 1st Lane",
                      "addressLine2": "Suite 123",
                      "city": "Jacksonville",
                      "state": "Florida",
                      "country": "United States",
                      "stateCode": "FL",
                      "countryCode": "US",
                      "postal": "12345",
                      "email": "person@example.com",
                      "phone": "1-555-123-4567",
                      "companyName": "string",
                      "firstName": "Joe",
                      "lastName": "Smith",
                      "redacted": true,
                      "hash": "string"
                    },
                    "attachments": [
                      {
                        "id": 0,
                        "rmaId": 0,
                        "rmaShipmentId": 0,
                        "attachmentType": "string",
                        "attachmentUrl": "string"
                      }
                    ],
                    "createdAt": "2019-08-24T14:15:22Z"
                  }
                ]
              },
              "example-2 (not including attachment and address)": {
                "value": [
                  {
                    "id": 0,
                    "rmaId": 0,
                    "accountId": 0,
                    "shipment": {
                      "id": 0,
                      "note": "string",
                      "trackingUrl": "string",
                      "trackingNumber": "string",
                      "carrier": "string",
                      "method": "string",
                      "shippedAt": "2019-08-24T14:15:22Z",
                      "insertedAt": "2019-08-24T14:15:22Z",
                      "shippingCost": 0,
                      "orderId": 0,
                      "purchaseOrderId": 0,
                      "rmaId": 0,
                      "sourceId": 0,
                      "accountId": 0,
                      "partial": true,
                      "suppressed": true,
                      "syncedToChannel": true,
                      "syncError": "string",
                      "crossDockPurchaseOrderId": 0,
                      "shipmentItems": [
                        {
                          "id": 0,
                          "sku": "string",
                          "quantity": 0,
                          "shipmentId": 0,
                          "inventoryVariantId": 0,
                          "partial": true,
                          "orderItemId": 0,
                          "purchaseOrderItemId": 0,
                          "committedStockReleasedQuantity": 0,
                          "rmaItemId": 0
                        }
                      ]
                    },
                    "shippingAddress": null,
                    "attachments": null,
                    "createdAt": "2019-08-24T14:15:22Z"
                  }
                ]
              }
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight